package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.entity.MessageTemplate;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (MessageTemplate)表数据库访问层
 *
 * @author makejava
 * @since 2020-11-13 10:48:58
 */
@Mapper
public interface MessageTemplateMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    MessageTemplate selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<MessageTemplate> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param messageTemplate 实例对象
     * @return 对象列表
     */
    List<MessageTemplate> selectList(MessageTemplate messageTemplate);

    /**
     * 新增数据
     *
     * @param messageTemplate 实例对象
     * @return 影响行数
     */
    int insert(MessageTemplate messageTemplate);

    /**
     * 批量新增
     *
     * @param messageTemplates 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(@Param("messageTemplates") List<MessageTemplate> messageTemplates);

    /**
     * 修改数据
     *
     * @param messageTemplate 实例对象
     * @return 影响行数
     */
    int update(MessageTemplate messageTemplate);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<MessageTemplate> selectPage(IPage<MessageTemplate> page, MessageTemplate messageTemplate);

}