package com.zcxk.evaluation.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @ClassName EvaluationItemVo
 * @Description: 考评项信息
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Data
@ApiModel(value = "考评项信息")
public class EvaluationItemVo {

    @ApiModelProperty(value = "考评项Id")
    private Integer itemId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "类型(0任务完成数 1任务按时完成率 2自定义)")
    private Integer type;

    @ApiModelProperty(value = "分值")
    private BigDecimal value;

    @ApiModelProperty(value = "条件值")
    private BigDecimal valueCondition;

    @ApiModelProperty(value = "周期(0月度 1季度 2年度)")
    private String cycle;

    @ApiModelProperty(value = "评分标准")
    private String remarks;

    @ApiModelProperty(value = "考评项分值")
    private List<EvaluationItemValueVo> evaluationItemValueVoList;

}
