package com.zcxk.task.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel
public class PlanManage implements Serializable {

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "计划任务编号")
    private String planId;

    @ApiModelProperty(value = "计划名称")
    private String planName;

    @ApiModelProperty(value = "计划安排人")
    private String planUserId;

    @ApiModelProperty(value = "计划安排人姓名")
    private String planUserName;

    @ApiModelProperty(value = "计划巡检人员")
    private String userId;

    @ApiModelProperty(value = "计划巡检人员姓名")
    private String userName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "计划安排时间")
    private Date planDate;

    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @ApiModelProperty(value = "开始时间")
    private Date planStartDate;

    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @ApiModelProperty(value = "结束时间")
    private Date planEndDate;

    @ApiModelProperty(value = "任务内容")
    private String taskContent;

    @ApiModelProperty(value = "任务区域坐标")
    private String taskAreaShape;

    @ApiModelProperty(value = "任务区域名称")
    private String taskAreaName;

    @ApiModelProperty(value = "任务类型")
    private Integer taskType;

    @ApiModelProperty(value = "执行情况")
    private Integer planStatus;

    @ApiModelProperty(value = "租户编号")
    private String tenantId;

    @ApiModelProperty(value = "流程实例id")
    private String processInstanceId;

    @ApiModelProperty(value = "流程定义id")
    private String processDefId;

    @ApiModelProperty(value = "任务id")
    private String currentTaskId;

    @ApiModelProperty(value = "当前处理人")
    private String currentUsers;

    @ApiModelProperty(value = "当前名称")
    private String currentTaskName;

    @ApiModelProperty(value = "创建者")
    private String createBy;

    @ApiModelProperty(value = "创建者姓名")
    private String createByName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新人姓名")
    private String updateByName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date dateUpdate;

    @ApiModelProperty(value = "所属公司id")
    private String companyOrgId;

    @ApiModelProperty(value = "所属部门id")
    private String departmentOrgId;

    @ApiModelProperty(value = "签到坐标点")
    private String taskChecked;

    @ApiModelProperty(value = "处理中状态（null未提交、2已提交、3已审核）")
    private Integer inProcessStatus;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "完成时间")
    private Date finishDate;

    private static final long serialVersionUID = 1L;
}