# 2021.04.06 V1.0
## 更新内容(数据库)

### sms_monitor_info 添加字段type
1、ALTER TABLE sms_monitor_info ADD TYPE int;
### sms_alarm_setting 添加字段START_TIME、END_TIME
1、ALTER TABLE sms_alarm_setting ADD START_TIME varchar(20) null COMMENT '报警设置开始时间',
  				ADD END_TIME varchar(20) null COMMENT '报警设置结束时间';


## uims数据库

### uims_user 添加字段
1、ALTER TABLE uims_user ADD login_account varchar(50) comment '登录第三方账号'
2、ALTER TABLE uims_user ADD login_secret_key varchar(50) comment '登录第三方密钥'
3、ALTER TABLE uims_user ADD login_code varchar(50) comment '登录第三方厂家编码'
4、ALTER TABLE uims_user ADD login_org_code varchar(50) comment '登录第三方机构编码'
### sms_month_report表添加索引
1.ALTER TABLE sms_month_report ADD  INDEX `index_collect_date`(`COLLECT_DATE`) USING BTREE 

# 创建报表维度配置表 sms_report_dimension_setting
SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sms_report_dimension_setting
-- ----------------------------
DROP TABLE IF EXISTS `sms_report_dimension_setting`;
CREATE TABLE `sms_report_dimension_setting`  (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
`user_id` int(11) NULL DEFAULT NULL COMMENT '用户ID',
`tenant_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户ID',
`device_parm_id` int(11) NULL DEFAULT NULL COMMENT '设备参数ID',
`classify` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '归类',
`show_on_off` smallint(6) NULL DEFAULT NULL COMMENT '展示开关',
`show_min_value` smallint(6) NULL DEFAULT NULL COMMENT '是否展示最小值',
`show_avg_value` smallint(6) NULL DEFAULT NULL COMMENT '是否展示平均值',
`show_max_value` smallint(6) NULL DEFAULT NULL COMMENT '是否展示最大值',
`show_sum_value` smallint(6) NULL DEFAULT NULL COMMENT '是否展示合计值',
`show_latest_value` smallint(6) NULL DEFAULT NULL COMMENT '是否展示最新值',
PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 72 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;
SET FOREIGN_KEY_CHECKS = 1;

#创建水泵状态报表 sms_report_water_pump_state
SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sms_report_water_pump_state
-- ----------------------------
DROP TABLE IF EXISTS `sms_report_water_pump_state`;
CREATE TABLE `sms_report_water_pump_state`  (
`id` int(11) NOT NULL AUTO_INCREMENT,
`state` smallint(1) NOT NULL COMMENT '运行状态 ：1-停止，0-运行',
`state_begin_time` datetime(0) NULL DEFAULT NULL COMMENT '运行状态开始时间',
`state_end_time` datetime(0) NULL DEFAULT NULL COMMENT '运行状态结束时间',
`tenant_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户标识',
`device_id` int(11) NULL DEFAULT NULL COMMENT '设备信息',
`device_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备名称',
`device_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备编号',
`attribute_id` int(11) NULL DEFAULT NULL COMMENT '设备属性',
`attribute_name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备属性名称',
`year` smallint(4) NULL DEFAULT NULL COMMENT '年',
`month` smallint(2) NULL DEFAULT NULL COMMENT '月',
`day` smallint(2) NULL DEFAULT NULL COMMENT '日',
`md5_query` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'MD5查询',
`date_create` datetime(0) NULL DEFAULT NULL COMMENT '创建日期',
`date_update` datetime(0) NULL DEFAULT NULL COMMENT '更新日期',
PRIMARY KEY (`id`) USING BTREE,
INDEX `index_md5_date`(`md5_query`, `state_begin_time`) USING BTREE,
INDEX `index_tenant_id`(`tenant_id`) USING BTREE,
INDEX `index_device_time`(`device_id`, `state_begin_time`) USING BTREE,
INDEX `index_device_attr`(`device_id`, `attribute_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 16499 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;
SET FOREIGN_KEY_CHECKS = 1;

## operation_manager 运维管理数据库
CREATE TABLE `sc_evaluation_grade` (
  `ID` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `TENANT_ID` varchar(100) DEFAULT NULL COMMENT '租户标识',
  `COMPANY_ORG_ID` int(11) DEFAULT NULL COMMENT '所属公司',
  `EVALUATION_GRADE` int(11) DEFAULT NULL COMMENT '绩效等级(0A 1B 2C 3D 4E)',
  `TYPE` int(11) DEFAULT NULL COMMENT '类型(0大于等于 1小于 2介于)',
  `VALUE_ONE` DECIMAL(18,2) DEFAULT NULL COMMENT '分值1',
  `VALUE_TWO` DECIMAL(18,2) DEFAULT NULL COMMENT '分值2',
  `REMARKS` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '备注',
  `STATUS` smallint(6) DEFAULT NULL COMMENT '数据删除标记',
  `DATE_CREATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `CREATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建人',
  `DATE_UPDATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `UPDATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1 COMMENT='考评等级';
CREATE TABLE `sc_evaluation_item` (
  `ID` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `TENANT_ID` varchar(100) DEFAULT NULL COMMENT '租户标识',
  `COMPANY_ORG_ID` int(11) DEFAULT NULL COMMENT '所属公司',
  `DEPT_ORG_ID` int(11) DEFAULT NULL COMMENT '所属部门',
  `TYPE` int(11) DEFAULT NULL COMMENT '类型(0任务完成数 1任务按时完成率 2自定义)',
  `NAME` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '名称',
  `VALUE` DECIMAL(18,2) DEFAULT NULL COMMENT '分值',
  `VALUE_CONDITION` DECIMAL(18,2) DEFAULT NULL COMMENT '条件值',
  `CYCLE` int(11) DEFAULT NULL COMMENT '周期(0月度 1季度 2年度)',
  `REMARKS` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '评分标准', 
  `STATUS` smallint(6) DEFAULT NULL COMMENT '数据删除标记',
  `DATE_CREATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `CREATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建人',
  `DATE_UPDATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `UPDATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1 COMMENT='考评项';

CREATE TABLE `sc_evaluation_item_value` (
  `ID` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `TENANT_ID` varchar(100) DEFAULT NULL COMMENT '租户标识',
  `EVALUATION_ITEM_ID` int(11) NOT NULL COMMENT '考评项ID',
  `TYPE` int(11) DEFAULT NULL COMMENT '类型(0大于等于 1小于 2介于)',
  `VALUE` DECIMAL(18,2) DEFAULT NULL COMMENT '分值',
  `VALUE_ONE` DECIMAL(18,2) DEFAULT NULL COMMENT '分值1',
  `VALUE_TWO` DECIMAL(18,2) DEFAULT NULL COMMENT '分值2',
  `STATUS` smallint(6) DEFAULT NULL COMMENT '数据删除标记',
  `DATE_CREATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `CREATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建人',
  `DATE_UPDATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `UPDATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1 COMMENT='考评项分值';

CREATE TABLE `sc_evaluation_cycle` (
  `ID` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `TENANT_ID` varchar(100) DEFAULT NULL COMMENT '租户标识',
  `COMPANY_ORG_ID` int(11) DEFAULT NULL COMMENT '所属公司',
  `TYPE` int(11) DEFAULT NULL COMMENT '类型(0月度 1季度 2年度)',
  `EVALUATION_DAY` int(11) DEFAULT NULL COMMENT '考评日期',
  `REMARKS` varchar(200) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '备注',
  `STATUS` smallint(6) DEFAULT NULL COMMENT '数据删除标记',
  `DATE_CREATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `CREATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建人',
  `DATE_UPDATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `UPDATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1 COMMENT='考评周期';

CREATE TABLE `sc_evaluation_result`  (
`ID` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
`TENANT_ID` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL COMMENT '租户标识',
`COMPANY_ORG_ID` int(11) NULL DEFAULT NULL COMMENT '所属公司',
`DEPT_ORG_ID` int(11) NULL DEFAULT NULL COMMENT '所属部门',
`EVALUATION_BY` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '考评人',
`EVALUATION_BE_USER_ID` int(11) NULL DEFAULT NULL COMMENT '被考评人用户ID',
`EVALUATION_BE` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '被考评人',
`STATE` int(11) NULL DEFAULT NULL COMMENT '考评状态(0未考评 1已考评)',
`CYCLE` int(11) NULL DEFAULT NULL COMMENT '周期(0月度 1季度 2年度)',
`YEAR` int(11) NULL DEFAULT NULL COMMENT '考评年份',
`MONTH` int(11) NULL DEFAULT NULL COMMENT '考评月份',
`EVALUATION_GRADE` int(11) NULL DEFAULT NULL COMMENT '绩效等级(0A 1B 2C 3D 4E)',
`VALUE` decimal(18, 2) NULL DEFAULT NULL COMMENT '考评得分',
`DATE_START` timestamp(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '考评开始时间',
`DATE_END` timestamp(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '考评结束时间',
`DATE_EVALUATION` timestamp(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '考评时间',
`STATUS` smallint(6) NULL DEFAULT NULL COMMENT '数据删除标记',
`DATE_CREATE` timestamp(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
`CREATE_BY` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
`DATE_UPDATE` timestamp(0) NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
`UPDATE_BY` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
PRIMARY KEY (`ID`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1463 CHARACTER SET = latin1 COLLATE = latin1_swedish_ci COMMENT = '考评结果' ROW_FORMAT = Dynamic;

CREATE TABLE `sc_evaluation_result_task` (
  `ID` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `TENANT_ID` varchar(100) DEFAULT NULL COMMENT '租户标识',
  `EVALUATION_RESULT_ID` int(11) NOT NULL COMMENT '考评结果ID',
  `TOTAL_COUNT` int(11) DEFAULT NULL COMMENT '任务总数',
  `COMPLETE_COUNT` int(11) DEFAULT NULL COMMENT '已完成',
  `NO_COMPLETE_COUNT` int(11) DEFAULT NULL COMMENT '待完成',
  `DELAY_COMPLETE_COUNT` int(11) DEFAULT NULL COMMENT '延期完成',
  `COMPLETION_RATE` decimal(18,2) DEFAULT NULL COMMENT '完成率',
  `DELAY_RATE` decimal(18,2) DEFAULT NULL COMMENT '延期率',
  `STATUS` smallint(6) DEFAULT NULL COMMENT '数据删除标记',
  `DATE_CREATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `CREATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建人',
  `DATE_UPDATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `UPDATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1 COMMENT='考评结果任务详情';
CREATE TABLE `sc_evaluation_result_details` (
  `ID` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `TENANT_ID` varchar(100) DEFAULT NULL COMMENT '租户标识',
  `EVALUATION_RESULT_ID` int(11) NOT NULL COMMENT '考评结果ID',
  `EVALUATION_ITEM_ID` int(11) NOT NULL COMMENT '考评项ID',
  `VALUE` DECIMAL(18,2) DEFAULT NULL COMMENT '考评得分',
  `STATUS` smallint(6) DEFAULT NULL COMMENT '数据删除标记',
  `DATE_CREATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `CREATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建人',
  `DATE_UPDATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `UPDATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1 COMMENT='考评结果详情';
CREATE TABLE `sms_device_setup_record` (
  `ID` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `DEVICE_ID` int(11) DEFAULT NULL COMMENT '设备ID',
  `ATTRIBUTE_ID` int(11) DEFAULT NULL COMMENT '属性ID',
  `SETUP_METHOD_ID` int(11) DEFAULT NULL COMMENT '设置指令ID',
  `STATE` varchar(200) DEFAULT NULL COMMENT '执行状态(0执行中 1执行成功 2执行失败)',
  `PARAMS` varchar(200) DEFAULT NULL COMMENT '参数',
  `STATUS` smallint(6) DEFAULT NULL COMMENT '数据删除标记',
  `DATE_CREATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `CREATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建人',
  `DATE_UPDATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `UPDATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='参数设置指令记录';
CREATE TABLE `sms_device_setup_method` (
  `ID` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `DEVICE_ID` int(11) DEFAULT NULL COMMENT '设备ID',
  `ATTRIBUTE_ID` int(11) DEFAULT NULL COMMENT '属性ID',
  `TYPE` int(11) DEFAULT NULL COMMENT '类型(0水泵控制 1压力调节 2水表开关阀)',
  `METHOD` varchar(200) DEFAULT NULL COMMENT '方法名',
  `PARAMS` varchar(200) DEFAULT NULL COMMENT '参数(json)',
  `STATUS` smallint(6) DEFAULT NULL COMMENT '数据删除标记',
  `DATE_CREATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `CREATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建人',
  `DATE_UPDATE` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `UPDATE_BY` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='参数设置指令';


### sc_work_order_manage、sc_plan_manage 添加字段in_process_status
ALTER TABLE sc_work_order_manage ADD in_process_status int(11) null COMMENT '处理中状态（null未接单、1已接单、2已提交、3已审核）';
ALTER TABLE sc_plan_manage ADD in_process_status int(11) null COMMENT '处理中状态（null未提交、2已提交、3已审核）',
        ADD finish_date timestamp null COMMENT '实际结束时间';

## uims 用户中心数据库
CREATE TABLE `uims_ver_manage` (
  `ID` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键', 
  `VER_ID` varchar(255) COLLATE utf8mb4_croatian_ci DEFAULT NULL COMMENT '版本号',
  `VER_URL` varchar(255) COLLATE utf8mb4_croatian_ci DEFAULT NULL COMMENT 'App URL',
  `IS_FORCED_UPGRADE` smallint(1) DEFAULT NULL COMMENT '是否强制升级(1是 0否)',
  `REMARK` varchar(255) COLLATE utf8mb4_croatian_ci DEFAULT NULL COMMENT '备注',
  `CREATE_BY` varchar(255) COLLATE utf8mb4_croatian_ci DEFAULT NULL COMMENT '创建人',
  `DATE_CREATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `UPDATE_BY` varchar(255) COLLATE utf8mb4_croatian_ci DEFAULT NULL COMMENT '更新人',
  `DATE_UPDATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_croatian_ci COMMENT='APP版本表';




=========已升级到正式环境20210527==================================================================================
ALTER TABLE sms_report_dimension_setting ADD type int(1) null COMMENT 'null 统计分析 1历史数据';
## sms 调度数据库
ALTER TABLE sms_water_property ADD TENANT_ID varchar(100) null COMMENT '租户标识'
,ADD COMPANY_ORG_ID varchar(11) null COMMENT '所属公司'
,ADD STATUS smallint(6) null COMMENT '数据删除标记';
ALTER TABLE sms_month_revenue ADD GENERAL_USER_USAGE_RECEIVED decimal(18,4) null COMMENT '普通用户实收金额',
ADD BIG_USER_USAGE_RECEIVED decimal(18,4) null COMMENT '大用户实收金额' ;
=========已升级到正式环境202100609==================================================================================