package com.zcxk.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.zcxk.entity.AlarmSetting;
import com.zcxk.model.ProgramItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("报警设置")
public class AlarmSettingDto extends AlarmSetting {
    /**
     * 所属公司id
     */
    @ApiModelProperty(value = "所属公司id")
    private Integer companyOrgId;
    /**
     * 所属公司名称
     */
    @ApiModelProperty(value = "所属公司名称")
    private String companyOrgName;
    /**
     * 所属部门id
     */
    @ApiModelProperty(value = "所属部门id")
    private Integer deptOrgId;
    /**
     * 所属部门名称
     */
    @ApiModelProperty(value = "所属部门名称")
    private String deptOrgName;
    /**
     * 场景id
     */
    @ApiModelProperty(value = "场景id及所有下级id")
    private List<Long> sceneIds;
    /**
     * 设备类型
     */
    @ApiModelProperty(value = "设备类型")
    private String deviceType;
    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    private String deviceName;
    /**
     * 属性名称
     */
    @ApiModelProperty(value = "属性名称")
    private String attributeName;
    /**
     * 属性名称
     */
    @ApiModelProperty(value ="权限",hidden = true)
    @JsonIgnore
    private List<ProgramItem> programItems;
    /**
     * 属性名称
     */
    @ApiModelProperty(value="用户权限类型",hidden = true)
    @JsonIgnore
    private Integer permissonType;
    /**
     * 用户类型
     */
    @ApiModelProperty(value = "用户类型(-9999 超管 -999普通用户 2普通用户)",hidden = true)
    @JsonIgnore
    private String userType;

}