package com.zcxk.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.common.converter.Double3Serializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("分布区间")
public class DistributeIntervalDto {
    private static final long serialVersionUID = 460807634914426955L;
    /**
     * 分布值
     */
    @ApiModelProperty("分布值")
    private int[] distributeValue;
    /**
     * 平均值
     */
    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("平均值")
    private Double avgValue;
    /**
     * 最大值
     */
    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("最大值")
    private Double maxValue;
    /**
     * 最小值
     */
    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("最小值")
    private Double minValue;
    /**
     * 最大值设备名称
     */
    @ApiModelProperty("最大值设备名称")
    private String maxDeviceName;
    /**
     * 最小值设备名称
     */
    @ApiModelProperty("最小值设备名称")
    private String minDeviceName;
}