package com.zcxk.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.zcxk.entity.MonthSellwaterEntity;
import com.zcxk.model.ProgramItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 月度售水表(sms_month_sellwater)扩展类
 *
 * @author yjy
 * @since 2021-2-24
 */
@Data
@ApiModel(value = "供水分析")
public class MonthSellwaterDto extends MonthSellwaterEntity {
    private static final long serialVersionUID = 460807634914426955L;

    @ApiModelProperty(value = "用水性质名称")
    private String propertyName;

    @ApiModelProperty(value = "时间")
    private String collectDateString;

    @ApiModelProperty(value ="权限",hidden = true)
    @JsonIgnore
    private List<ProgramItem> programItems;

    @ApiModelProperty(value="用户权限类型",hidden = true)
    @JsonIgnore
    private Integer permissonType;

    @ApiModelProperty(value = "用户类型(-9999 超管 -999普通用户 2普通用户)",hidden = true)
    @JsonIgnore
    private String userType;
}