package com.zcxk.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * @description 报警详情信息实体类（uims_tenant）
 * @auto wangli
 * @data 2020-11-16 10:47
 */
@Data
@ApiModel("报警详情信息")
public class AlarmDetailsEntity implements Serializable {

    private static final long serialVersionUID = 6916916266193290481L;

    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "租户标识")
    private String tenantId;

    @ApiModelProperty("一级场景信息")
    private Integer parentSceneId;
    @ApiModelProperty("一级场景名称")
    private String parentSceneName;
    @ApiModelProperty("场景信息")
    private Integer sceneId;
    @ApiModelProperty("场景名称")
    private String sceneName;

    @ApiModelProperty(value = "设备信息")
    private Integer deviceId;
    @ApiModelProperty(value = "所属公司")
    private Integer companyOrgId;
    @ApiModelProperty(value = "所属部门")
    private Integer deptOrgId;

    @ApiModelProperty(value = "报警参数设置id")
    private Integer alarmSettingId;


    @ApiModelProperty(value = "报警类型")
    private String alarmType;
    @ApiModelProperty(value = "报警参数ID")
    private Integer attributeId;
    @ApiModelProperty(value = "当前数值")
    private Double alarmValue;
    @ApiModelProperty(value = "最小告警数值")
    private Double minValue;
    @ApiModelProperty(value = "最大告警数值")
    private Double maxValue;
    @ApiModelProperty(value = "报警详情")
    private String alarmContent;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "报警开始时间",example = "2020-12-12 12:12:12")
    private Date alarmStartTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "报警结束时间",example = "2020-12-12 12:12:12")
    private Date alarmEndTime;
    @ApiModelProperty(value = "报警状态:1 实时报警 0 历史报警")
    private Integer state;
    @ApiModelProperty(value = "处理状态:1 正常 0 挂起")
    private Integer opState;

    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "数据删除标识")
    private Integer status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间",example = "2020-12-12 12:12:12")
    private Date dateCreate;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间",example = "2020-12-12 12:12:12")
    private Date dateUpdate;
    @ApiModelProperty(value = "更新人")
    private String updateBy;

}
