package com.zcxk.entity;

import com.baomidou.mybatisplus.annotation.*;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * sms_comdisplay_map_location
 * @author: WYY
 * @date 2021-02-24 09:58
 */
@Data
@TableName("sms_comdisplay_map_location")
public class ComdisplayMapLocationEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 租户标识
     */
    @ApiModelProperty(value = "租户标识")
    @JsonIgnore
    private String tenantId;

    /**
     * 左坐标
     */
    @ApiModelProperty(value = "左坐标")
    private Double pointLeft;

    /**
     * 上坐标
     */
    @ApiModelProperty(value = "上坐标")
    private Double pointTop;

    /**
     * 公司ID
     */
    @ApiModelProperty(value = "公司ID")
    private Long companyOrgId;

    /**
     * 数据删除标记
     */
    @ApiModelProperty(value = "删除标记")
    @TableLogic
    @JsonIgnore
    private Integer status;

    @JsonIgnore
    private Date dateCreate;

    @ApiModelProperty(value = "创建人")
    @JsonIgnore
    private String createBy;

    @JsonIgnore
    private Date dateUpdate;

    @ApiModelProperty(value = "更新人")
    @JsonIgnore
    private String updateBy;
}
