package com.zcxk.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @description
 * @auto wangli
 * @data 2020-11-17 10:20
 */
@Data
@ApiModel("设备参数")
public class DeviceParmEntity implements Serializable {

    private static final long serialVersionUID = 1433873379975513916L;

    @ApiModelProperty("主键id")
    private Integer id;
    @ApiModelProperty("租户标识")
    private String tenantId;
    /** 一级场景 */
    @ApiModelProperty(value = "一级场景")
    private Long parentSceneId;
    @ApiModelProperty(value = "一级场景s")
    @JsonIgnore
    @TableField(exist = false)
    private List<SceneEntity> sceneEntities;
    @ApiModelProperty(value = "设备编号")
    @JsonIgnore
    @TableField(exist = false)
    private  String deviceCode;
    /** 二级场景 */
    @ApiModelProperty(value = "二级场景")
    private Long sceneId;
    @ApiModelProperty("设备id")
    private Integer deviceId;
    @ApiModelProperty("设备属性id")
    private Integer attributeId;
    @ApiModelProperty("设备属性名称")
    private String attributeName;
    @ApiModelProperty("是否地图悬浮显示")
    private Boolean isSuspension;
    @ApiModelProperty("是否统计报表参数")
    private Boolean isReport;
    @ApiModelProperty("是否统计图表参数")
    private Boolean isChart;
    @ApiModelProperty("是否地图参数")
    private Boolean isMap;
    @ApiModelProperty("是否报警参数")
    private Boolean isAlarm;
    @ApiModelProperty("是否工艺图参数")
    private Boolean isArtwork;
    @ApiModelProperty("参数类型")
    private Integer parmType;
    @ApiModelProperty("排序")
    private Integer seq;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "数据删除标识")
    private Integer status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间",example = "2020-12-12 12:12:12")
    private Date dateCreate;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间",example = "2020-12-12 12:12:12")
    private Date dateUpdate;
    @ApiModelProperty(value = "更新人")
    private String updateBy;

    // 新增字段，自定义报表
    @ApiModelProperty(value = "归类")
    private String classify;
    @ApiModelProperty(value = "是否展示最小值")
    private boolean showMinValue = false;
    @ApiModelProperty(value = "是否展示最大值")
    private boolean showMaxValue = false;
    @ApiModelProperty(value = "是否展示平均值")
    private boolean showAvgValue = false;
    @ApiModelProperty(value = "是否展示合计值")
    private boolean showSumValue = false;
    @ApiModelProperty(value = "是否展示最新值")
    private boolean showLatestValue = false;


}
