package com.zcxk.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @description 登录日志实体类（uims_login_log）
 * @auto wangli
 * @data 2020-10-26 15:51
 */
@Data
public class LoginLogEntity implements Serializable {

    private static final long serialVersionUID = 2497615333704709016L;

    @ExcelIgnore
    @ApiModelProperty(value = "主键id")
    private Long id ;

    @ExcelProperty(value = {"登录日志","用户名"},index = 2)
    @ApiModelProperty(value = "用户名")
    private String name;

    @ExcelProperty(value = {"登录日志","手机号"},index = 3)
    @ApiModelProperty(value = "手机号")
    private String phone;

    @ExcelIgnore
    @ApiModelProperty(value = "租户标识")
    private String tenantId;

    @ExcelIgnore
    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ExcelIgnore
    @ApiModelProperty(value = "部门id")
    private Long departmentId;

    @ExcelProperty(value = {"登录日志","登录类型"},index = 4)
    @ApiModelProperty(value = "登录类型")
    private String type;

    @ExcelProperty(value = {"登录日志","创建时间"},index = 6)
    @ApiModelProperty(value = "创建时间",example = "2020-12-12 12:12:12")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ExcelProperty(value = {"登录日志","登录IP"},index = 5)
    @ApiModelProperty(value = "登录IP",example = "2020-12-12 12:12:12")
    private String loginIp;
}
