package com.zcxk.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @description 操作日志实体类（uims_opr_log）
 * @auto wangli
 * @data 2020-10-26 15:53
 */
@Data
public class OperateLogEntity implements Serializable {

    private static final long serialVersionUID = 7048815501996712070L;

    @ExcelIgnore
    @ApiModelProperty(value = "主键id")
    private Long id ;
    @ExcelProperty(value = {"操作日志","用户名"},index = 2)
    @ApiModelProperty(value = "用户名")
    private String userName;
    @ExcelProperty(value = {"操作日志","手机号"},index = 3)
    @ApiModelProperty(value = "手机号")
    private String phone;
    @ExcelIgnore
    @ApiModelProperty(value = "租户标识")
    private String tenantId;

    @ExcelIgnore
    @ApiModelProperty(value = "公司id")
    private Integer companyId;
    @ExcelIgnore
    @ApiModelProperty(value = "部门id")
    private Integer departmentId;
    @ExcelProperty(value = {"操作日志","操作内容"},index = 4)
    @ApiModelProperty(value = "操作内容")
    private String operateContent;
    @ApiModelProperty(value = "操作参数",hidden = true)
    private String operateParameter;
    @ExcelProperty(value = {"操作日志","创建时间"},index = 5)
    @ApiModelProperty(value = "创建时间",example = "2020-12-12 12:12:12")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

}
