package com.zcxk.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户注册(UserRegister)实体类
 *
 * @author yjy
 * @since 2020-10-29
 */
@Data
@ApiModel
public class UserRegister implements Serializable {
    private static final long serialVersionUID = 269554608076349144L;
    /**
     * 主键
     */
    @ExcelIgnore
    @ApiModelProperty(value = "主键")
    private Integer id;
    /**
     * 用户名
     */
    @ExcelProperty(value = {"用户注册申请记录","姓名"},index = 0)
    @ApiModelProperty(value = "用户名")
    private String username;
    /**
     * 手机号
     */
    @ExcelProperty(value = {"用户注册申请记录","手机号"},index = 1)
    @ApiModelProperty(value = "手机号")
    private String phone;
    /**
     * 用户类型
     */
    @ExcelProperty(value = {"用户注册申请记录","用户类型"},index = 2)
    @ApiModelProperty(value = "用户类型")
    private String userType;
   /**
    * 备注
    */
   @ExcelIgnore
   @ApiModelProperty(value = "备注")
   private String remark;
    /**
     * 数据删除标识
     */
    @ExcelIgnore
    @ApiModelProperty(value = "数据删除标识")
    private Integer status;
    /**
     * 创建人
     */
    @ExcelIgnore
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = {"用户注册申请记录","注册时间"},index = 3)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;
    /**
     * 更新人
     */
    @ExcelIgnore
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
    * 更新时间
    */
    @ExcelIgnore
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date dateUpdate;
}