package com.zcxk.charge.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author andy
 */
@Data
@ApiModel("压力报表参数列表")
public class DeviceWaterReportAttributeDto implements Serializable {

    private static final long serialVersionUID = 4074399088580570408L;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "设备编号")
    private String deviceCode;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "采集时间")
    private Date collectDate;

    @ApiModelProperty(value = "PH最小值")
    private Double minPhValue;

    @ApiModelProperty(value = "PH最大值")
    private Double maxPhValue;

    @ApiModelProperty(value = "PH平均值")
    private Double avgPhValue;

    @ApiModelProperty(value = "PH合计值")
    private Double sumPhValue;

    @ApiModelProperty(value = "PH最新值")
    private Double latestPhValue;

    @ApiModelProperty(value = "CL最小值")
    private Double minClValue;

    @ApiModelProperty(value = "CL最大值")
    private Double maxClValue;

    @ApiModelProperty(value = "CL平均值")
    private Double avgClValue;

    @ApiModelProperty(value = "CL合计值")
    private Double sumClValue;

    @ApiModelProperty(value = "CL最新值")
    private Double latestClValue;

    @ApiModelProperty(value = "Qu最小值")
    private Double minQuValue;

    @ApiModelProperty(value = "Qu最大值")
    private Double maxQuValue;

    @ApiModelProperty(value = "Qu平均值")
    private Double avgQuValue;

    @ApiModelProperty(value = "Qu合计值")
    private Double sumQuValue;

    @ApiModelProperty(value = "Qu最新值")
    private Double latestQuValue;

    @ApiModelProperty(value = "设备参数ID")
    private Integer deviceParmId;
}
