package com.zcxk.charge.api.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.core.utils.converter.Double2Serializer;
import com.zcxk.core.utils.converter.Double3Serializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description
 * @author  yjy
 * @data 2021-1-4
 */
@ApiModel("从水源地到水龙头汇总数据")
@Data
public class DispatchSummaryDto {
    private static final long serialVersionUID = -3866226693931624972L;

    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("总制水量")
    private Double yieldWaterUsage;

    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("总取水量")
    private Double intakeWaterUsage;

    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("总能耗")
    private Double powerUsage;

    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty("压力合格率")
    private Double presQualifiedRate;

    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty("水质合格率")
    private Double waterQualifiedRate;

    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("已完成计划量")
    private Double invNameRate;

    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("售水量")
    private Double sellWaterUsage;

    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty("产销差率")
    private Double nrwRate;

}
