package com.zcxk.charge.api.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.core.utils.converter.Double2Serializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
/**
 * @author Andy
 **/
@Data
@ApiModel("设备合格统计")
public class DeviceCountStatsVo {
    private static final long serialVersionUID = 460807634914426955L;
    /**
     * 数据统计属性
     */
    @ApiModelProperty(value = "类型")
    private String type;
    /**
     * 设备总数
     */
    @ApiModelProperty(value = "设备总数")
    private Integer totalCount;
    /**
     * 报警设备数
     */
    @ApiModelProperty(value = "报警设备数量")
    private Integer alarmCount;
    /**
     * 正常设备数
     */
    @ApiModelProperty(value = "正常设备数量")
    private Integer normalCount;
    /**
     * 离线设备数量
     */
    @ApiModelProperty(value = "离线设备数量")
    private Integer offlineCount;
    /**
     * 合格率
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "合格率")
    private Double qualifiedRate;
    /**
     * 设备属性合格数据
     */
    @ApiModelProperty("设备属性合格数据")
    private List<DeviceCountStatsVo> parmQualified;
}