package com.zcxk.charge.api.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * @author Andy
 **/
@Data
@ApiModel(value = "设备属性信息")
public class SceneDeviceAttributeVo {
    /** 设备信息 */
    @ApiModelProperty(value = "一级场景")
    private Long sceneId;

    /** 设备信息 */
    @ApiModelProperty(value = "设备信息")
    private Long deviceId;
    /**
     * 设备属性名称
     */
    @ApiModelProperty("设备属性名称")
    private String attributeName;

    /** 年 */
    @ApiModelProperty(value = "年")
    private Integer year;

    /** 月 */
    @ApiModelProperty(value = "月")
    private Integer month;

    /** 日 */
    @ApiModelProperty(value = "日")
    private Integer day;

    /**
     * 设备属性ID
     */
    @ApiModelProperty("设备属性ID")
    private Long attributeId;

    @ApiModelProperty(value = "属性类型标记",hidden = true)
    @JsonIgnore
    private String attributeType;
    /**
     * 最小值
     */
    @ApiModelProperty(value = "最小值")
    private Double minValue;
    /**
     * 最大值
     */
    @ApiModelProperty(value = "最大值")
    private Double maxValue;
    /**
     * 平均值
     */
    @ApiModelProperty(value = "平均值")
    private Double avgValue;
    /**
     * 合计值
     */
    @ApiModelProperty(value = "合计值")
    private Double sumValue;
    /**
     * 最新值
     */
    @ApiModelProperty(value = "最新值")
    private Double latestValue;


}
