package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.charge.core.entity.CameraManage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (CameraManage)表数据库访问层
 *
 * @author makejava
 * @since 2020-11-26 10:25:13
 */
@Mapper
public interface CameraManageMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    CameraManage selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<CameraManage> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param cameraManage 实例对象
     * @return 对象列表
     */
    List<CameraManage> selectList(CameraManage cameraManage);

    /**
     * 新增数据
     *
     * @param cameraManage 实例对象
     * @return 影响行数
     */
    int insert(CameraManage cameraManage);

    /**
     * 批量新增
     *
     * @param cameraManages 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(@Param("cameraManages") List<CameraManage> cameraManages);

    /**
     * 修改数据
     *
     * @param cameraManage 实例对象
     * @return 影响行数
     */
    int update(CameraManage cameraManage);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    /**
    * 分页查询
    * @author Andy
    * @date 9:11 2021/8/18
    * @param page:
    * @param cameraManage:
    * @return com.baomidou.mybatisplus.core.metadata.IPage<com.zcxk.charge.core.entity.CameraManage>
    **/
    IPage<CameraManage> selectPage(IPage<CameraManage> page, CameraManage cameraManage);

    /**
    * 分页查询
    * @author Andy
    * @date 9:12 2021/8/18
    * @param page:
    * @param cameraManage:
    * @return com.baomidou.mybatisplus.core.metadata.IPage<com.zcxk.charge.core.entity.CameraManage>
    **/
    IPage<CameraManage> appSelectPage(IPage<CameraManage> page, CameraManage cameraManage);

    /**
    * 批量删除
    * @author Andy
    * @date 9:12 2021/8/18
    * @param ids:
    * @return int
    **/
    int deleteAll(List<Integer> ids);

    /**
    * 查找集合
    * @author Andy
    * @date 9:12 2021/8/18
    * @param id:
    * @return java.util.List<com.zcxk.charge.core.entity.CameraManage>
    **/
    List<CameraManage> getAllCameras(Integer id);

    /**
    * 查询集合
    * @author Andy
    * @date 9:13 2021/8/18
    * @param searchCameraManage:
    * @return java.util.List<com.zcxk.charge.core.entity.CameraManage>
    **/
    List<CameraManage> selectAllCameras(CameraManage searchCameraManage);

}