package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.charge.core.entity.DeviceTypeEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_device_typeDAO接口
 * @author: WYY
 * @date 2020-11-18 08:21
 */
@Mapper
public interface DeviceTypeMapper extends BaseMapper<DeviceTypeEntity> {

	/**
	* 自定义分页查询
	* @author Andy
	* @date 18:03 2021/8/17
	* @param page:
	* @param deviceTypeEntity:
	* @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.zcxk.charge.core.entity.DeviceTypeEntity>
	**/
     Page<DeviceTypeEntity> findPage(IPage<DeviceTypeEntity> page, @Param("deviceType") DeviceTypeEntity deviceTypeEntity);

     /**
     * 查找单个
     * @author Andy
     * @date 18:03 2021/8/17
     * @param id:
     * @return com.zcxk.charge.core.entity.DeviceTypeEntity
     **/
     DeviceTypeEntity findDeviceTypeById(Serializable id);

     /**
     * 查找集合
     * @author Andy
     * @date 18:04 2021/8/17
     * @param deviceTypeEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.DeviceTypeEntity>
     **/
     List<DeviceTypeEntity> findList(DeviceTypeEntity deviceTypeEntity);

     /**
     * 根据名字查找
     * @author Andy
     * @date 18:04 2021/8/17
     * @param deviceTypeEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.DeviceTypeEntity>
     **/
     List<DeviceTypeEntity> findListByName(DeviceTypeEntity deviceTypeEntity);

}
