package com.zcxk.charge.core.dao;

import com.zcxk.charge.api.vo.*;
import com.zcxk.core.common.pojo.ProgramItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * @description
 * @author  wangli
 * @data 2021/2/24 13:43
 */
@Mapper
public interface HomePageReportMapper {


    /**
    * getDeviceWaterForSixMonth
    * @author Andy
    * @date 9:15 2021/8/18
    * @param companyOrgId:
    * @param sceneType:
    * @param parmType:
    * @param tenantId:
    * @param userType:
    * @param permissonType:
    * @param programItems:
    * @return java.util.List<com.zcxk.charge.api.vo.DeviceWaterSupplyVo>
    **/
    List<DeviceWaterSupplyVo > getDeviceWaterForSixMonth(@Param("companyOrgId") Integer companyOrgId,
                                                         @Param("sceneType") String sceneType, @Param("parmType") Integer parmType,
                                                         @Param("tenantId") String tenantId, @Param("userType") String userType,
                                                         @Param("permissonType") Integer permissonType,
                                                         @Param("programItems") List<ProgramItem> programItems);

    /**
    * getDeviceWaterForMonth
    * @author Andy
    * @date 9:15 2021/8/18
    * @param companyOrgId:
    * @param sceneType:
    * @param parmType:
    * @param tenantId:
    * @param userType:
    * @param permissonType:
    * @param programItems:
    * @param month:
    * @return java.util.List<com.zcxk.charge.api.vo.DeviceWaterSupplyVo>
    **/
    List<DeviceWaterSupplyVo > getDeviceWaterForMonth(@Param("companyOrgId") Integer companyOrgId,
                                                   @Param("sceneType") String sceneType, @Param("parmType") Integer parmType,
                                                   @Param("tenantId") String tenantId, @Param("userType") String userType,
                                                   @Param("permissonType") Integer permissonType,
                                                   @Param("programItems") List<ProgramItem> programItems,
                                                   @Param("month") Integer month);

    /**
    * getDeviceWaterForDay
    * @author Andy
    * @date 9:15 2021/8/18
    * @param companyOrgId:
    * @param sceneType:
    * @param parmType:
    * @param tenantId:
    * @param userType:
    * @param permissonType:
    * @param programItems:
    * @param day:
    * @return java.util.List<com.zcxk.charge.api.vo.DeviceWaterSupplyVo>
    **/
    List<DeviceWaterSupplyVo > getDeviceWaterForDay(@Param("companyOrgId") Integer companyOrgId,
                                                 @Param("sceneType") String sceneType, @Param("parmType") Integer parmType,
                                                 @Param("tenantId") String tenantId, @Param("userType") String userType,
                                                 @Param("permissonType") Integer permissonType,
                                                 @Param("programItems") List<ProgramItem> programItems,
                                                 @Param("day") Integer day);

    /**
    * countSceneByType
    * @author Andy
    * @date 9:15 2021/8/18
    * @param companyOrgId:
    * @param tenantId:
    * @param userType:
    * @param permissonType:
    * @param programItems:
    * @return com.zcxk.charge.api.vo.CompanyCountVo
    **/
    CompanyCountVo countSceneByType(@Param("companyOrgId") Integer companyOrgId,
                                    @Param("tenantId") String tenantId, @Param("userType") String userType,
                                    @Param("permissonType") Integer permissonType,
                                    @Param("programItems") List<ProgramItem> programItems);

    /**
    * getWaterSalesDetails
    * @author Andy
    * @date 9:15 2021/8/18
    * @param companyOrgId:
    * @param tenantId:
    * @param userType:
    * @param programItems:
    * @return com.zcxk.charge.api.vo.CompanyProduceVo
    **/
    CompanyProduceVo getWaterSalesDetails(@Param("companyOrgId") Integer companyOrgId,
                                          @Param("tenantId") String tenantId, @Param("userType") String userType,
                                          @Param("programItems") List<ProgramItem> programItems);

    /**
    * getPipeNetworkQualification
    * @author Andy
    * @date 9:15 2021/8/18
    * @param companyOrgId:
    * @param tenantId:
    * @param userType:
    * @param permissonType:
    * @param programItems:
    * @return com.zcxk.charge.api.vo.WaterQualityRateVo
    **/
    WaterQualityRateVo getPipeNetworkQualification(@Param("companyOrgId") Integer companyOrgId,
                                                   @Param("tenantId") String tenantId, @Param("userType") String userType,
                                                   @Param("permissonType") Integer permissonType,
                                                   @Param("programItems") List<ProgramItem> programItems);

    /**
    * getWaterQualification
    * @author Andy
    * @date 9:16 2021/8/18
    * @param companyOrgId:
    * @param sceneType:
    * @param parmTypes:
    * @param tenantId:
    * @param userType:
    * @param permissonType:
    * @param programItems:
    * @return com.zcxk.charge.api.vo.WaterQualityRateVo
    **/
    WaterQualityRateVo getWaterQualification(@Param("companyOrgId") Integer companyOrgId, @Param("sceneType") String sceneType,
                                           @Param("parmTypes") List<Integer> parmTypes,
                                           @Param("tenantId") String tenantId, @Param("userType") String userType,
                                           @Param("permissonType") Integer permissonType,
                                           @Param("programItems") List<ProgramItem> programItems);

    /**
    * getMonitorDataFifteenDays
    * @author Andy
    * @date 9:16 2021/8/18
    * @param sceneId:
    * @param sceneType:
    * @param parmType:
    * @param tenantId:
    * @param userType:
    * @param permissonType:
    * @param programItems:
    * @return java.util.List<com.zcxk.charge.api.vo.DeviceWaterSupplyVo>
    **/
    List<DeviceWaterSupplyVo> getMonitorDataFifteenDays(@Param("sceneId") Integer sceneId, @Param("sceneType") String sceneType, @Param("parmType") Integer parmType,
                                                      @Param("tenantId") String tenantId,
                                                      @Param("userType") String userType, @Param("permissonType") Integer permissonType,
                                                      @Param("programItems") List<ProgramItem> programItems);

    /**
    * getWaterQualificationForScene
    * @author Andy
    * @date 9:16 2021/8/18
    * @param parmType:
    * @param sceneId:
    * @param sceneType:
    * @param tenantId:
    * @param userType:
    * @param permissonType:
    * @param programItems:
    * @return java.math.BigDecimal
    **/
    BigDecimal getWaterQualificationForScene(@Param("parmType") Integer parmType, @Param("sceneId") Integer sceneId, @Param("sceneType") String sceneType,
                                             @Param("tenantId") String tenantId, @Param("userType") String userType,
                                             @Param("permissonType") Integer permissonType,
                                             @Param("programItems") List<ProgramItem> programItems);

    /**
    * getWaterQualificationByMonth
    * @author Andy
    * @date 9:16 2021/8/18
    * @param monthDate:
    * @param parmType:
    * @param sceneId:
    * @param sceneType:
    * @param tenantId:
    * @param userType:
    * @param permissonType:
    * @param programItems:
    * @return java.math.BigDecimal
    **/
    BigDecimal getWaterQualificationByMonth(@Param("monthDate") LocalDate monthDate, @Param("parmType") Integer parmType, @Param("sceneId") Integer sceneId, @Param("sceneType") String sceneType,
                                            @Param("tenantId") String tenantId, @Param("userType") String userType,
                                            @Param("permissonType") Integer permissonType,
                                            @Param("programItems") List<ProgramItem> programItems);

    /**
    * getWaterSupplyData
    * @author Andy
    * @date 9:16 2021/8/18
    * @param sceneId:
    * @param sceneType:
    * @param tenantId:
    * @param userType:
    * @param permissonType:
    * @param programItems:
    * @return java.util.List<com.zcxk.charge.api.vo.WaterSupplyDataVo>
    **/
    List<WaterSupplyDataVo> getWaterSupplyData(@Param("sceneId") Integer sceneId, @Param("sceneType") String sceneType,
                                               @Param("tenantId") String tenantId,
                                               @Param("userType") String userType, @Param("permissonType") Integer permissonType,
                                               @Param("programItems") List<ProgramItem> programItems);

}
