package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.charge.core.entity.SceneTypeEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_scene_typeDAO接口
 * @author: WYY
 * @date 2020-11-17 19:31
 */
@Mapper
public interface SceneTypeMapper extends BaseMapper<SceneTypeEntity> {

	/**
	* 自定义分页查询
	* @author Andy
	* @date 18:14 2021/8/17
	* @param page:
	* @param sceneTypeEntity:
	* @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.zcxk.charge.core.entity.SceneTypeEntity>
	**/
     Page<SceneTypeEntity> findPage(IPage<SceneTypeEntity> page, @Param("sceneType") SceneTypeEntity sceneTypeEntity);

     /**
     * 查询单个
     * @author Andy
     * @date 18:14 2021/8/17
     * @param id:
     * @return com.zcxk.charge.core.entity.SceneTypeEntity
     **/
     SceneTypeEntity findSceneTypeById(Serializable id);

     /**
     * 查询集合
     * @author Andy
     * @date 18:14 2021/8/17
     * @param sceneTypeEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.SceneTypeEntity>
     **/
     List<SceneTypeEntity> findList(SceneTypeEntity sceneTypeEntity);

     /**
     * 查询集合
     * @author Andy
     * @date 18:14 2021/8/17
     * @param ids:
     * @return java.util.List<com.zcxk.charge.core.entity.SceneTypeEntity>
     **/
     List<SceneTypeEntity> findByParentSceneTypeIds(@Param(value = "Ids") Long[] ids);

}
