package com.zcxk.charge.core.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.zcxk.core.common.pojo.ProgramItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * (CameraManage)实体类
 *
 * @author makejava
 * @since 2020-11-27 11:25:49
 */
@Data
@ApiModel
public class CameraManage implements Serializable {
    private static final long serialVersionUID = 203195405503200754L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键",notes = "插入无需传入，修改需要传入")
    private Integer id;
    /**
     * 租户标识
     */
    @ApiModelProperty(value = "租户标识",hidden = true)
    private String tenantId;
    /**
     * 公司id
     */
    @ApiModelProperty(value = "公司id")
    private Integer companyOrgId;
    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    private Integer deptOrgId;
    /**
     * 场景id
     */
    @ApiModelProperty(value = "场景id")
    private Integer sceneId;

    @ApiModelProperty(value = "上级场景id")
    private Integer parentSceneId;


    @ApiModelProperty(value = "场景图片")
    private String imagePath;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 经纬度
     */
    @ApiModelProperty(value = "经纬度")
    private String geo;
    /**
     * 预览url
     */
    @ApiModelProperty(value = "预览url")
    private String palyUrl;
    /**
     * 回放url
     */
    @ApiModelProperty(value = "回放url")
    private String replayUrl;
    /**
     * 萤石授权key
     */
    @ApiModelProperty(value = "萤石授权key")
    private String appkey;
    /**
     * 密钥
     */
    @ApiModelProperty(value = "密钥")
    private String scrert;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人",hidden = true)
    private String createBy;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间",hidden = true)
    private Date dateUpdate;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人",hidden = true)
    private String updateBy;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",hidden = true)
    private Date dateCreate;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 设备序列号,存在英文字母的设备序列号，字母需为大写
     */
    @ApiModelProperty(value = "设备序列号,存在英文字母的设备序列号，字母需为大写")
    private String deviceSerial;
    /**
     * 通道号
     */
    @ApiModelProperty(value = "通道号")
    private Integer channelNo;
    /**
     * 删除标识
     */
    @ApiModelProperty(value = "删除标识")
    private Integer status;
    /**
     * 授权码
     */
    @ApiModelProperty(value = "授权码",hidden = true)
    @TableField(exist = false)
    private String token;
    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称",hidden = true)
    @TableField(exist = false)
    private String departName;
    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称",hidden = true)
    @TableField(exist = false)
    private String companyName;
    /**
     * 场景名称
     */
    @ApiModelProperty(value = "场景名称",hidden = true)
    @TableField(exist = false)
    private String sceneName;
    /**
     * 场景名称
     */
    @ApiModelProperty(value = "机构权限集合",hidden = true)
    @TableField(exist = false)
    private List<ProgramItem> programItems;
    /**
     * 场景名称
     */
    @ApiModelProperty(value = "权限类型",hidden = true)
    @TableField(exist = false)
    private Integer permissonType;
    private String parentSceneIds;


}