package com.zcxk.charge.core.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * sms_device_setup_method
 * @author: WYY
 * @date 2021-05-10 14:39
 */
@Data
@TableName("sms_device_setup_method")
public class DeviceSetupMethodEntity{

    private static final long serialVersionUID = 1L;

    /** 主键 */ 
	@TableId(type = IdType.AUTO)
    private Long id;

    /** 设备ID */
    private Long deviceId;

    /** 属性ID */
    private Long attributeId;

    /** 类型(3水泵控制 4压力调节 5水表开关阀) */
    private Integer type;

    /** 方法名 */
    private String method;

    /** 参数(json) */
    private String params;

    /** 数据删除标记 */
    @TableLogic
    @ApiModelProperty(value = "数据删除标记")
    @JsonIgnore
    private Integer status;

    @JsonIgnore
    private Date dateCreate;

    @JsonIgnore
    private String createBy;

    /** 更新者 */
    @JsonIgnore
    private String updateBy;
    /** 更新时间 */
    @JsonIgnore
    private Date dateUpdate;
}
