package com.zcxk.charge.web.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.charge.api.dto.alarm.DataAlarmDto;
import com.zcxk.charge.api.dto.alarm.DataAlarmManageDto;
import com.zcxk.charge.api.vo.DataAlarmManageInfoVo;
import com.zcxk.charge.api.vo.DataAlarmManageVo;

import java.util.List;

/**
 * 数据报警管理
 * @author lihui
 * @version V1.0
 * @date 2021/5/28
 **/
public interface DataAlarmManageService {

    /***
     * 保存报警管理
     * @author lihui
     * @date 14:48 2021/5/31
     * @param entity : 数据entity
     * @return void
     **/
    void saveDataAlarmManage(DataAlarmManageDto entity);

    /***
     * 查找报警管理
     * @author lihui
     * @date 15:11 2021/5/31
     * @param aramId :
     * @return com.zcxk.vo.DataAlarmManageVo
     **/
    DataAlarmManageInfoVo findAlarmManage(Long aramId);

    /***
     * 分页查询
     * @author lihui
     * @date 15:01 2021/5/31
     * @param dto :  参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.zcxk.vo.DataAlarmManageVo>
     **/
    Page<DataAlarmManageVo> findPage(DataAlarmDto dto);

    /***
     * 修改数据
     * @author lihui
     * @date 15:14 2021/5/31
     * @param dto : 数据
     * @return void
     **/
    void updateDataAlarmManage(DataAlarmManageDto dto);

    /***
     * 删除数据
     * @author lihui
     * @date 15:19 2021/5/31
     * @param alarmIds :
     * @return void
     **/
    void delDataAlarmManage(List<Long> alarmIds);
}
