package com.zcxk.rmcp.api.dto.community;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;

/**
 *
 * @author Andy
 * @date 2021-07-19 9:45
 */
@ApiModel(value="添加小区")
@Data
public class CommunityAddDto {

    @NotBlank(message = "id")
    private Integer id;

    @NotBlank(message = "请输入公司")
    @ApiModelProperty(value="公司", required = true)
    private Integer companyOrgId;

    @ApiModelProperty(value="部门")
    private Integer deptOrgId;

    @NotBlank(message = "请输入小区名称")
    @ApiModelProperty(value="小区名称",required = true)
    private String name;

    @ApiModelProperty(value="省")
    private Integer province;

    @ApiModelProperty(value="市")
    private Integer city;

    @ApiModelProperty(value="区")
    private Integer region;

    @NotBlank(message = "请输入地址")
    @ApiModelProperty(value="地址", required = true)
    private String address;

    @ApiModelProperty(value="经度")
    private BigDecimal lng;

    @ApiModelProperty(value="维度")
    private BigDecimal lat;

    @ApiModelProperty(value="备注")
    private String remark;

}