package com.zcxk.rmcp.api.dto.measurementsettlement;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
/**
 *
 * @author heyumin
 * @date 2021-07-30 9:44
 */
@Data
@ApiModel(value="结算计划")
public class MeasurementSettlementDto {
    /**
     * 主键id
     */

    @ApiModelProperty(value = "主键id")
    private Integer id;
    /**
     * 计划名称
     */
    @ApiModelProperty(value = "计划名称")
    private String planName;
    /**
     * 结算时间
     */
    @ApiModelProperty(value = "结算时间")
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date settlementTime;
    /**
     * 公司id
     */
    @ApiModelProperty(value = "公司名称",hidden = true)
    private String companyOrgName;
    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门名称",hidden = true)
    private String deptOrgName;
    /**
     * 小区id
     */
    @ApiModelProperty(value = "小区名称",hidden = true)
    private String communityName;
    /**
     * 公司id
     */
    @ApiModelProperty(value = "公司id")
    @JsonIgnore
    private Integer companyOrgId;
    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @JsonIgnore
    private Integer deptOrgId;
    /**
     * 小区id
     */
    @ApiModelProperty(value = "小区id")
    @JsonIgnore
    private Integer communityId;
    /**
     * 结算表总数
     */
    @ApiModelProperty(value = "结算表总数",hidden = true)
    private Integer totalWaterMeters;
    /**
     * 已审核水表数
     */
    @ApiModelProperty(value = "已审核水表数",hidden = true)
    private Integer numberOfWaterMetersReviewed;
    /**
     * 账期
     */
    @ApiModelProperty(value = "账期")
    private Date billingPeriod;
    /**
     * 结算周期
     */
    @ApiModelProperty(value = "结算周期")
    private Integer billingCycle;
    /**
     * 截止日期
     */
    @ApiModelProperty(value = "截止日期",hidden = true)
    private Date clearingEndDate;
    /**
     * 开始日期
     */
    @ApiModelProperty(value = "开始日期",hidden = true)
    private Date clearingStartDate;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",hidden = true)
    @JsonIgnore
    private Date createDate;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间",hidden = true)
    @JsonIgnore
    private Date updateDate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人",hidden = true)
    @JsonIgnore
    private String createBy;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人",hidden = true)
    @JsonIgnore
    private String updateBy;
    /**
     * 状态
     */
    @ApiModelProperty(value = "状态",hidden = true)
    @JsonIgnore
    private Integer status;
    /**
     * 定时任务id
     */
    @ApiModelProperty(value = "定时任务id")

    private Long taskId;
    @ApiModelProperty(value = "租户id",hidden = true)
    @JsonIgnore
    private String tenantId;
}
