package com.zcxk.rmcp.api.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zcxk.rmcp.api.enums.ReadStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author Andy
 * @version V1.0
 * @description: 抄表记录
 * @date 2021/7/22
 **/
@Data
public class MeterReadRecordExcelVo {

    @ApiModelProperty(value="水表电子号")
    @ExcelProperty(value = {"水表电子号"}, index = 0)
    private String meterNo;

    @ApiModelProperty(value="档案号")
    @ExcelProperty(value = {"水表档案号"}, index = 1)
    private String fileNo;

    @ApiModelProperty(value="设备编号")
    @ExcelProperty(value = {"设备编号"}, index = 2)
    private String deviceNo;

    @ApiModelProperty(value="设备型号 <= 厂商名字/产品名字/产品型号")
    @ExcelProperty(value = {"设备型号"}, index = 3)
    private String deviceModel;

    @ApiModelProperty(value="读数")
    @ExcelProperty(value = {"当前读数"}, index = 4)
    private Double readData;

    @ApiModelProperty(value="抄表状态/读表状态 : 1未抄 2已抄")
    @ExcelProperty(value = {"抄表状态"}, index = 5)
    private String readStatus;

    @ApiModelProperty(value="抄表时间/读表时间")
    @ExcelProperty(value = {"抄表时间"}, index = 6)
    private String readTime;

    @ApiModelProperty(value="公司名字")
    @ExcelProperty(value = {"公司名字"}, index = 7)
    private String companyOrgName;

    @ApiModelProperty(value="部门名字")
    @ExcelProperty(value = {"部门名字"}, index = 8)
    private String deptOrgName;

    @ApiModelProperty(value="小区名字")
    @ExcelProperty(value = {"小区名字"}, index = 9)
    private String communityName;

    @ApiModelProperty(value="安装地址")
    @ExcelProperty(value = {"安装地址"}, index = 10)
    private String location;

    @ApiModelProperty(value="集中器编码")
    @ExcelProperty(value = {"集中器编码"}, index = 11)
    private String concentratorCode;

    @ApiModelProperty(value="通道号")
    @ExcelProperty(value = {"通道号"}, index = 12)
    private String channelNumber;

    @ApiModelProperty(value="采集器编码")
    @ExcelProperty(value = {"采集器编码"}, index = 13)
    private String collectorCode;

}
