package com.zcxk.rmcp.api.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author Andy
 * @version V1.0
 * @description: 换表记录
 * @date 2021/7/20
 **/
@Data
public class MeterReplaceVo {

    @ApiModelProperty(value="Id")
    private Long id;

    @ApiModelProperty(value = "新设备编号", position = 106)
    @ExcelProperty(value = {"新设备编号"}, index = 1)
    private String newDeviceNo;

    @ApiModelProperty(value = "旧设备编号", position = 109)
    @ExcelProperty(value = {"旧设备编号"}, index = 2)
    private String oldDeviceNo;

    @ApiModelProperty(value="新水表电子号")
    @ExcelProperty(value = {"新水表电子号"}, index = 3)
    private String newMeterNo;

    @ApiModelProperty(value="旧水表电子号")
    @ExcelProperty(value = {"旧水表电子号"}, index = 4)
    private String oldMeterNo;

    @ApiModelProperty(value="新产品类型/新设备型号")
    @ExcelProperty(value = {"新产品类型/新设备型号"}, index = 5)
    private String newProductId;

    @ApiModelProperty(value="旧产品类型/旧设备型号")
    @ExcelProperty(value = {"旧产品类型/旧设备型号"}, index = 6)
    private String oldProductId;

    @ApiModelProperty(value="新表起度")
    @ExcelProperty(value = {"新表起度"}, index = 9)
    private String newBeginDegree;

    @ApiModelProperty(value="旧表止度")
    @ExcelProperty(value = {"旧表止度"}, index = 8)
    private String oldEndDegree;

    @ApiModelProperty(value = "水表档案号", position = 101)
    @ExcelProperty(value = {"水表档案号"}, index = 7)
    private String fileNo;

    @ApiModelProperty(value="更换方案，1 更换模块，2:更换整表")
    @ExcelProperty(value = {"更换方案"}, index = 10)
    private String replaceMethod;

    @ApiModelProperty(value="更换人")
    @ExcelProperty(value = {"更换人"}, index = 11)
    private String replaceUsername;

    @ApiModelProperty(value="更换人手机号码")
    @ExcelProperty(value = {"更换人手机号码"}, index = 12)
    private String replaceUserPhone;

    @ApiModelProperty(value="创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ExcelProperty(value = {"更换时间"}, index = 0)
    private LocalDateTime dateCreate;

}
