package com.zcxk.rmcp.core.entity;

import com.zcxk.core.mysql.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @author linqingwei
 * @date 2021-07-21 10:03
 */
/**
* 安装计划
*/
@ApiModel(value="安装计划")
@Data
public class InstallPlan extends BaseDO {

    @ApiModelProperty(value="租户")
    private String tenantId;

    @ApiModelProperty(value="计划名称")
    private String planName;

    @ApiModelProperty(value="小区")
    private Integer communityId;

    @ApiModelProperty(value="公司")
    private Integer companyOrgId;

    @ApiModelProperty(value="部门")
    private Integer deptOrgId;

    @ApiModelProperty(value="产品")
    private Integer productId;

    @ApiModelProperty(value="户数")
    private Integer doorNum;

    @ApiModelProperty(value="安装数")
    private Integer installNum;

    @ApiModelProperty(value="验收数")
    private Integer acceptedNum;

    @ApiModelProperty(value="施工单位")
    private String unit;

    @ApiModelProperty(value="施工负责人")
    private String principal;

    @ApiModelProperty(value="联系电话")
    private String phone;

    @ApiModelProperty(value="计划状态，0:未结束，1:已结束")
    private Integer planStatus;

    @ApiModelProperty(value="验收状态，0:未结束，1:已结束")
    private Integer acceptStatus;

    @ApiModelProperty(value="1为水务平台，2为计费平台")
    private Integer platformType;

    @ApiModelProperty(value="是否启用单元 0：否 1：是")
    private Integer enableUnit;

    @ApiModelProperty(value="生成压缩包文件路径")
    private String filePath;

    @ApiModelProperty(value="是否启用下载 0：否 1：是")
    private Integer enableDownload;

    @ApiModelProperty(value="备注")
    private String remark;

}